168c:002a ath9k - no 5GHz networks

Bug #429748 reported by Tyrael on 2009-09-14
This bug report is a duplicate of:  Bug #938509: 168c:002a ath9k - no 5GHz networks. Edit Remove
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

I have a Linksys WRT610N Dual-N Band.
I can only see and connect to the 2.4GHz network with ath9k and Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01) 1a3b:1067 (the one on Zotac Ion motherboard, miniPCIe)

2.6.31-10-generic #32-Ubuntu SMP Thu Sep 10 23:29:56 UTC 2009 x86_64 GNU/Linux

Please run the following command which will automatically gather and attach general kernel debug information:

apport-collect -p linux 429748

Changed in linux (Ubuntu):
status: New → Incomplete
Tyrael (marco-crociani) wrote :

Done: No additional information collected.

AlsaDevices:
 total 0
 drwxr-xr-x 2 root root 60 2009-09-22 17:51 by-path
 crw-rw----+ 1 root audio 116, 4 2009-09-22 17:51 controlC0
 crw-rw----+ 1 root audio 116, 3 2009-09-22 17:51 seq
 crw-rw----+ 1 root audio 116, 2 2009-09-22 17:51 timer
AplayDevices: **** List of PLAYBACK Hardware Devices ****
Architecture: i386
ArecordDevices: **** List of CAPTURE Hardware Devices ****
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/seq', '/dev/snd/timer', '/dev/sequencer2', '/dev/sequencer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'MID'/'HDA Intel MID at 0x942c0000 irq 19'
   Mixer name : 'Realtek ALC262'
   Components : 'HDA:10ec0262,104d3000,00100302'
   Controls : 18
   Simple ctrls : 11
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=604765db-ef65-4300-8451-5960770e30a5
MachineType: Sony Corporation VGN-P11Z_G
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.31-10-generic root=UUID=24f26abf-b75b-4cc9-b717-d08cc7f42525 ro /etc/default/grub quiet splash mem=2000MB
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-10.34-generic
RelatedPackageVersions:
 linux-backports-modules-2.6.31-10-generic 2.6.31-10.12
 linux-firmware 1.19
Uname: Linux 2.6.31-10-generic i686
UserGroups: adm admin audio cdrom dialout lpadmin plugdev sambashare
WpaSupplicantLog:

dmi.bios.date: 04/29/2009
dmi.bios.vendor: INSYDE
dmi.bios.version: ERRORU3
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnINSYDE:bvrERRORU3:bd04/29/2009:svnSonyCorporation:pnVGN-P11Z_G:pvrJ003MCNX:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VGN-P11Z_G
dmi.product.version: J003MCNX
dmi.sys.vendor: Sony Corporation

Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: apport-collected

That's on a Vaio P11Z

$ lspci | grep -i Atheros
02:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)

With backports-modules installed the laptop does rarely (on startup) connect to my b/g/n network,
and if it connects it is only usable for a short time (or little traffic?) although network-manager
keeps showing the connection as active - I can't even ping the router reliably.

There is no obvious difference between a/n and b/g (couldn't make a successful connection trying a few times).

Without the backports-modules I can connect to the b/g network, but not to the a/n network.

For me the network is always visible though.

Laryllan (laryllan) wrote :

I can confirm this behaviour of the driver, using
03:07.0 Network controller: Atheros Communications Inc. AR5008 Wireless Network Adapter (rev 01)

Vikram Dhillon (dhillon-v10) wrote :

Can you confirm this issue exists with the most recent Lucid Lynx 10.04 release - http://cdimage.ubuntu.com/releases/lucid/alpha-2/. If the issue remains in Lucid, please test the latest 2.6.32 upstream kernel build - https://wiki.ubuntu.com/KernelMainlineBuilds. Let us know your results. Thanks.

Changed in linux (Ubuntu):
status: New → Incomplete
Tyrael (marco-crociani) wrote :

I'am not sure to be able to confirm this bug because now the PC is at 5/6 meters and 2 concrete wall from the router.
From the same position the MacbookPro sees the 5Ghz network but can't connect.
I tried with http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.32.8/ but not with lucid alpha2.

I still have many problems with this card and Ubuntu:
https://bugs.launchpad.net/ubuntu/+source/linux-backports-modules-2.6.31/+bug/414560/comments/187

Erno Kuusela (erno-iki) wrote :

It seems the ath9k driver restricts you to the region programmed in the card EEPROM, and many (most?) just have it
set to "world" which is the subset of frequencies that are permitted everywhere.

There's a patch to add a regulatory domain override switch at http://patches.aircrack-ng.org/ath9k_regdomain_override.patch which looks like it should help but iwlist freq
still doesn't list the 5 GHz frequencies for me.

(the patch didn't compile cleanly with latest wireless-compat for me, changed the line where
it errors out to say "common->regulatory.current_rd = modparam_override_eeprom_regdomain")

So assuming the bug is with the EEPROM there are two bugs here:

1) failure to provide any indication that the ath9k driver is imposing additional restrictions

2) failure to provide an override for the bad EEPROM

Erno Kuusela (erno-iki) wrote :

Source for the claim that driver always follows EEPROM is here btw. http://<email address hidden>/msg00921.html

jerico (jericop) wrote :

I have a WRT600N router and an Atheros AR9287 chipset ( AR5B9X ) and cannot see n networks yet n networks are present as a valid network type in lshw (output below). I am able to connect to b and g networks without any issues. I also checked the EEPROM settings on my ath9k driver setup and got the following below. Are there any other suggestions to help resolve this issue?

jerico-laptop:$ s lshw -C network
  *-network
       description: Wireless interface
       product: AR9287 Wireless Network Adapter
       vendor: Atheros Communications Inc.
       physical id: 0
       bus info: pci@0000:0c:00.0
       logical name: wlan1
       version: 01
       serial: b4:82:fe:69:cf:e1
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=ath9k driverversion=2.6.32-22-generic firmware=N/A ip=192.168.1.101 latency=0 link=yes multicast=yes wireless=IEEE 802.11bgn
       resources: irq:17 memory:f69f0000-f69fffff

jerico-laptop:$ dmesg | grep ath
[ 0.603650] device-mapper: multipath: version 1.1.0 loaded
[ 0.603652] device-mapper: multipath round-robin: version 1.0.0 loaded
[ 11.347152] ath9k 0000:0c:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 11.347171] ath9k 0000:0c:00.0: setting latency timer to 64
[ 11.437589] ath: EEPROM regdomain: 0x6a
[ 11.437592] ath: EEPROM indicates we should expect a direct regpair map
[ 11.437596] ath: Country alpha2 being used: 00
[ 11.437598] ath: Regpair used: 0x6a
[ 11.450983] phy0: Selected rate control algorithm 'ath9k_rate_control'
[ 11.451739] Registered led device: ath9k-phy0::radio
[ 11.451756] Registered led device: ath9k-phy0::assoc
[ 11.451772] Registered led device: ath9k-phy0::tx
[ 11.451788] Registered led device: ath9k-phy0::rx
[ 1884.480799] ath9k 0000:0c:00.0: PCI INT A disabled
[ 1884.480838] ath9k: Driver unloaded
[ 1886.092304] ath9k 0000:0c:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 1886.092331] ath9k 0000:0c:00.0: setting latency timer to 64
[ 1886.183071] ath: EEPROM regdomain: 0x6a
[ 1886.183075] ath: EEPROM indicates we should expect a direct regpair map
[ 1886.183081] ath: Country alpha2 being used: 00
[ 1886.183084] ath: Regpair used: 0x6a
[ 1886.185011] phy0: Selected rate control algorithm 'ath9k_rate_control'
[ 1886.187983] Registered led device: ath9k-phy0::radio
[ 1886.188547] Registered led device: ath9k-phy0::assoc
[ 1886.189144] Registered led device: ath9k-phy0::tx
[ 1886.189761] Registered led device: ath9k-phy0::rx

Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu development release http://cdimage.ubuntu.com/daily-live/current/ . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in linux (Ubuntu):
status: Incomplete → Expired
Erno Kuusela (erno-iki) wrote :

Still happens on Maverick. Also just verified that 11n works fine on Windows with same hardware.

Changed in linux (Ubuntu):
status: Expired → Confirmed
tags: removed: kj-expired
summary: - ath9k - karmic - no 5GHz networks
+ ath9k - no 5GHz networks
Download full text (8.8 KiB)

I've got the same problem. Card supposedly supports wireless n but I can not use it. This card is a half height pcie AR928X with built in bluetooth that is also not functioning(obviously a separate problem). I'm using Ubuntu 10.10 Netbook Edition on a Dell Mini 10v. I'll try to provide as many details as I can with the following command outputs. Is there any place I can donate money to make fixing this and other bugs faster? I figured that would be the best way to help due to my limited programming skills. I'd really like to use this device in AP/Master mode at Draft-n speeds.

# lspci | grep -i Atheros
   03:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)

#lshw -C network
*-network
   description: Wireless interface
       product: AR928X Wireless Network Adapter (PCI-Express)
       vendor: Atheros Communications Inc.
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: wlan1
       version: 01
       serial: d4:9a:20:5a:db:0c
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress msix bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=ath9k driverversion=2.6.35-28-generic firmware=N/A ip=192.168.200.106 latency=0 link=yes promiscuous=yes wireless=IEEE 802.11abgn
       resources: irq:17 memory:f0100000-f010ffff

#dmesg | grep ath
[ 1.268607] device-mapper: multipath: version 1.1.1 loaded
[ 1.268617] device-mapper: multipath round-robin: version 1.0.0 loaded
[ 16.510399] ath9k 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 16.510424] ath9k 0000:03:00.0: setting latency timer to 64
[ 16.968868] ath: EEPROM regdomain: 0x37
[ 16.968877] ath: EEPROM indicates we should expect a direct regpair map
[ 16.968885] ath: Country alpha2 being used: AW
[ 16.968890] ath: Regpair used: 0x37
[ 17.248906] phy0: Selected rate control algorithm 'ath9k_rate_control'
[ 17.253531] Registered led device: ath9k-phy0::radio
[ 17.253831] Registered led device: ath9k-phy0::assoc
[ 17.254169] Registered led device: ath9k-phy0::tx
[ 17.254468] Registered led device: ath9k-phy0::rx
[ 1517.939080] ath9k 0000:03:00.0: PCI INT A disabled
[ 1520.468395] ath9k 0000:03:00.0: restoring config space at offset 0xf (was 0x1ff, writing 0x10b)
[ 1520.468427] ath9k 0000:03:00.0: restoring config space at offset 0x4 (was 0x4, writing 0xf0100004)
[ 1520.468438] ath9k 0000:03:00.0: restoring config space at offset 0x3 (was 0x0, writing 0x10)
[ 1520.468451] ath9k 0000:03:00.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100007)
[ 1520.474747] ath9k 0000:03:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[ 2821.341481] ath9k 0000:03:00.0: PCI INT A disabled
[ 2823.872389] ath9k 0000:03:00.0: restoring config space at offset 0xf (was 0x1ff, writing 0x10b)
[ 2823.872422] ath9k 0000:03:00.0: restoring config space at offset 0x4 (was 0x4, writing 0xf0100004)
[ 2823.872433] ath9k 0000:03:00.0: restoring config space at offset 0x3 (was 0x0, writing 0x10)
[ 2823.872446] ath9k 0000:03:00.0: restoring config space at offset 0x1 (was 0x100000, writing 0x100007)
[ 2823.878533] ath9k 0000:03:0...

Read more...

Changed in linux (Ubuntu):
status: Confirmed → New

This bug is missing log files that will aid in dianosing the problem. From a terminal window please run:

apport-collect 429748

and then change the status of the bug back to 'New'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272 Analog [ALC272 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC272 Analog [ALC272 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ryan 1783 F.... pulseaudio
CRDA:
 country AW:
  (2402 - 2482 @ 40), (N/A, 20)
  (5170 - 5250 @ 40), (N/A, 20)
  (5250 - 5330 @ 40), (N/A, 20), DFS
  (5490 - 5710 @ 40), (N/A, 27), DFS
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf0440000 irq 44'
   Mixer name : 'Realtek ALC272'
   Components : 'HDA:10ec0272,102802f4,00100001'
   Controls : 9
   Simple ctrls : 5
DistroRelease: Ubuntu 10.10
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=348d85f4-f652-4be4-90b8-a6e986b6acb8
InstallationMedia: Ubuntu-Netbook 10.10 "Maverick Meerkat" - Release i386 (20101007)
MachineType: Dell Inc. Inspiron 1011
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.35-30-generic root=UUID=3e926129-90c4-4919-af25-83fe76f19fb0 ro quiet splash
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-30.54-generic 2.6.35.13
Regression: No
RelatedPackageVersions: linux-firmware 1.38.6
Reproducible: Yes
Tags: ubuntu-une maverick kernel-net needs-upstream-testing
Uname: Linux 2.6.35-30-generic i686
UserGroups:

dmi.bios.date: 07/29/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.name: CN0Y53
dmi.board.vendor: Dell Inc.
dmi.board.version: A06
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A06
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd07/29/2009:svnDellInc.:pnInspiron1011:pvrA06:rvnDellInc.:rnCN0Y53:rvrA06:cvnDellInc.:ct8:cvrA06:
dmi.product.name: Inspiron 1011
dmi.product.version: A06
dmi.sys.vendor: Dell Inc.

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Also, here is a link to the exact card I am using:
http://www.oxfordtec.com/us/p253/SparkLAN-WPEA-111N--802.11n-a/b/g/N-2.4/5GHz-Dual-band-2T/2R-Half-Size-Mini-PCI-Express-Module,-Atheros-AR9280-chipset/product_info.html

and here is a link to the datasheet. For some reason it downloads as a php file so you have to open it with a pdf veiwer manually.
http://www.sparklan.com/downloadDataSheet.php?data_id=133

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Incomplete → Won't Fix

I am seeing this problem on two updated Oneiric machines (Sony F22 and Sony VPCSB). My n networks are not showing up. Apport-collect won't let me add to the report since it is closed.

summary: - ath9k - no 5GHz networks
+ 168c:002a ath9k - no 5GHz networks
To post a comment you must log in.